## python-schema-salad 2.2.20170111180227

=== Makefile ===
# This file is part of schema-salad,
# https://github.com/common-workflow-language/schema-salad/, and is
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Contact: common-workflow-language@googlegroups.com

# make pep8 to check for basic Python code compliance
# make autopep8 to fix most pep8 errors
# make pylint to check Python code for enhanced compliance including naming
#  and documentation
# make coverage-report to check coverage of the python scripts by the tests

MODULE=schema_salad

# `SHELL=bash` Will break Titus's laptop, so don't use BASH-isms like
# `[[` conditional expressions.
PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
DEVPKGS=pep8 diff_cover autopep8 pylint coverage pep257 pytest flake8

VERSION=$(shell git describe --tags --dirty | sed s/v//)

## all         : default task
all: ./setup.py develop

## help        : print this help message and exit
help: Makefile
	@sed -n 's/^##//p' $<

## install-dep : install most of the development dependencies via pip
install-dep: install-dependencies

install-dependencies:
	pip install --upgrade $(DEVPKGS)
	pip install -r requirements.txt

## install     : install the ${MODULE} module and schema-salad-tool
install: FORCE
	pip install .

## dist        : create a module package for distribution
dist: dist/${MODULE}-$(VERSION).tar.gz

dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
	./setup.py sdist

## clean       : clean up all temporary / machine-generated files
clean: FORCE
	rm -f ${MODILE}/*.pyc tests/*.pyc
	./setup.py clean --all || true
	rm -Rf .coverage
	rm -f diff-cover.html

## pep8        : check Python code style
pep8: $(PYSOURCES)
	pep8 --exclude=_version.py  --show-source --show-pep8 $^ || true

pep8_report.txt: $(PYSOURCES)
	pep8 --exclude=_version.py $^ > $@ || true

diff_pep8_report: pep8_report.txt
	diff-quality --violations=pep8 pep8_report.txt

## pep257      : check Python code style
pep257: $(PYSOURCES)
	pep257 --ignore=D100,D101,D102,D103 $^ || true

pep257_report.txt: $(PYSOURCES)
	pep257 setup.py $^ > $@ 2>&1 || true

diff_pep257_report: pep257_report.txt
	diff-quality --violations=pep8 pep257_report.txt

## autopep8    : fix most Python code indentation and formatting
autopep8: $(PYSOURCES)
	autopep8 --recursive --in-place --ignore E309 $^

# A command to automatically run astyle and autopep8 on appropriate files
## format      : check/fix all code indentation and formatting (runs autopep8)
format: autopep8
	# Do nothing

## pylint      : run static code analysis on Python code
pylint: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
                $^ || true

pylint_report.txt: ${PYSOURCES}
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
		$^ > $@ || true

diff_pylint_report: pylint_report.txt
	diff-quality --violations=pylint pylint_report.txt

.coverage: $(PYSOURCES)
	coverage run --branch --source=${MODULE} setup.py test
	coverage run --append --branch --source=${MODULE} \
		-m schema_salad.main \
		--print-jsonld-context schema_salad/metaschema/metaschema.yml \
		> /dev/null
	coverage run --append --branch --source=${MODULE} \
		-m schema_salad.main \
		--print-rdfs schema_salad/metaschema/metaschema.yml \
		> /dev/null
	coverage run --append --branch --source=${MODULE} \
		-m schema_salad.main \
		--print-avro schema_salad/metaschema/metaschema.yml \
		> /dev/null
	coverage run --append --branch --source=${MODULE} \
		-m schema_salad.main \
		--print-rdf schema_salad/metaschema/metaschema.yml \
		> /dev/null
	coverage run --append --branch --source=${MODULE} \
		-m schema_salad.main \
		--print-pre schema_salad/metaschema/metaschema.yml \
		> /dev/null
	coverage run --append --branch --source=${MODULE} \
		-m schema_salad.main \
		--print-index schema_salad/metaschema/metaschema.yml \
		> /dev/null
	coverage run --append --branch --source=${MODULE} \
		-m schema_salad.main \
		--print-metadata schema_salad/metaschema/metaschema.yml \
		> /dev/null
	coverage run --append --branch --source=${MODULE} \
		-m schema_salad.makedoc schema_salad/metaschema/metaschema.yml \
		> /dev/null

coverage.xml: .coverage
	coverage xml

coverage.html: htmlcov/index.html

htmlcov/index.html: .coverage
	coverage html
	@echo Test coverage of the Python code is now in htmlcov/index.html

coverage-report: .coverage
	coverage report

diff-cover: coverage.xml
	diff-cover $^

diff-cover.html: coverage.xml
	diff-cover $^ --html-report $@

## test        : run the ${MODULE} test suite
test: FORCE
	python setup.py test

sloccount.sc: ${PYSOURCES} Makefile
	sloccount --duplicates --wide --details $^ > $@

## sloccount   : count lines of code
sloccount: ${PYSOURCES} Makefile
	sloccount $^

list-author-emails:
	@echo 'name, E-Mail Address'
	@git log --format='%aN,%aE' | sort -u | grep -v 'root'

mypy: ${PYSOURCES}
	rm -Rf typeshed/2.7/ruamel/yaml
	ln -s $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
		typeshed/2.7/ruamel/
	MYPYPATH=typeshed/2.7 mypy --py2 --disallow-untyped-calls \
		 --fast-parser --warn-redundant-casts --warn-unused-ignores \
		 schema_salad

jenkins:
	rm -Rf env && virtualenv env
	. env/bin/activate ; \
	pip install -U setuptools pip wheel ; \
	${MAKE} install-dep coverage.html coverage.xml pep257_report.txt \
		sloccount.sc pep8_report.txt pylint_report.txt
	if ! test -d env3 ; then virtualenv -p python3 env3 ; fi
	. env3/bin/activate ; \
	pip install -U setuptools pip wheel ; \
	${MAKE} install-dep ; \
	pip install -U mypy-lang typed-ast ; ${MAKE} mypy

FORCE:

## python-schema-salad 1.6.20160202222448

=== debian/changelog ===
python-schema-salad (1.6.20160202222448-1) unstable; urgency=medium

  * Initial release. (Closes: #813839)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Fri, 05 Feb 2016 02:18:38 -0800

=== debian/control ===
Source: python-schema-salad
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               python-all,
               python-setuptools,
               python-mistune,
               python-avro,
               python-requests,
               python-yaml,
               python-rdflib-jsonld,
               python-rdflib,
               help2man
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/schema-salad.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/schema-salad.git
Homepage: http://www.commonwl.org

Package: python-schema-salad
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Description: Schema Annotations for Linked Avro Data (SALAD)
 Salad is a schema language for describing JSON or YAML structured linked data
 documents. Salad is based originally on JSON-LD and the Apache Avro data
 serialization system.
 .
 Salad schema describes rules for preprocessing, structural validation, and
 link checking for documents described by a Salad schema. Salad features for
 rich data modeling such as inheritance, template specialization, object
 identifiers, object references, documentation generation, and transformation
 to RDF. Salad provides a bridge between document and record oriented data
 modeling and the Semantic Web.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')

export PYBUILD_NAME=schema-salad
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(shell echo .pybuild/*/build/) help2man --no-info \
		   --version-string=${VERSION} \
		--name="Schema Annotations for Linked Avro Data (SALAD)" \
		python\ schema_salad/main.py > debian/schema-salad-tool.1
	sed -i 's/main.py/schema-salad-tool/g' debian/schema-salad-tool.1
	sed -i 's/MAIN.PY/SCHEMA-SALAD-TOOL/g' debian/schema-salad-tool.1

override_dh_auto_clean:
	rm -f debian/*.1

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/cwltool/schema-salad-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-schema-salad 2.2.20170111180227

=== debian/changelog ===
python-schema-salad (2.2.20170111180227-1~bpo8+2) jessie-backports; urgency=medium

  * Versioned Depends python-lockfile >= 0.12.2

 -- Andreas Tille <tille@debian.org>  Thu, 02 Mar 2017 10:56:49 +0100

python-schema-salad (2.2.20170111180227-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 24 Feb 2017 09:48:29 +0100

python-schema-salad (2.2.20170111180227-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * cme fix dpkg-control
  * debhelper 10

  [ Michael R. Crusoe ]
  * Fix manpage generation.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 12 Jan 2017 00:16:47 -0800

python-schema-salad (1.6.20160202222448-2) unstable; urgency=medium

  * debian/watch, debian/control: correct URLs

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Tue, 23 Feb 2016 08:55:42 -0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-schema-salad
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
+Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python,
                python-all,
@@ -14,10 +14,13 @@
                python-yaml,
                python-rdflib-jsonld,
                python-rdflib,
+               python-typing,
+               python-cachecontrol,
+               python-lockfile (>= 0.12.2),
                help2man
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/schema-salad.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/schema-salad.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-schema-salad.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/python-schema-salad.git
 Homepage: http://www.commonwl.org
 
 Package: python-schema-salad

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')

export PYBUILD_NAME=schema-salad
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. help2man --no-info \
		   --version-string=${VERSION} \
		   --no-discard-stderr \
		--name="Schema Annotations for Linked Avro Data (SALAD)" \
		python2\ -m\ schema_salad > debian/schema-salad-tool.1
	sed -i 's/python2 -m schema_salad/schema-salad-tool/g' \
		debian/schema-salad-tool.1
	sed -i 's/__main__.py/schema-salad-tool/g' debian/schema-salad-tool.1
	sed -i 's/PYTHON/SCHEMA-SALAD-TOOL/g' debian/schema-salad-tool.1
	find . -name "*.coverage" -delete

override_dh_auto_clean:
	rm -f debian/*.1

## python-schema-salad 2.6.20170630075932

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,8 @@
 # `[[` conditional expressions.
 PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
 DEVPKGS=pep8 diff_cover autopep8 pylint coverage pep257 pytest flake8
+COVBASE=coverage run --branch --append --source=${MODULE} \
+	--omit=schema_salad/tests/*
 
 VERSION=$(shell git describe --tags --dirty | sed s/v//)
 
@@ -103,37 +105,31 @@
 	diff-quality --violations=pylint pylint_report.txt
 
 .coverage: $(PYSOURCES)
-	coverage run --branch --source=${MODULE} setup.py test
-	coverage run --append --branch --source=${MODULE} \
-		-m schema_salad.main \
+	rm -f .coverage
+	$(COVBASE) setup.py test
+	$(COVBASE) -m schema_salad.main \
 		--print-jsonld-context schema_salad/metaschema/metaschema.yml \
 		> /dev/null
-	coverage run --append --branch --source=${MODULE} \
-		-m schema_salad.main \
+	$(COVBASE) -m schema_salad.main \
 		--print-rdfs schema_salad/metaschema/metaschema.yml \
 		> /dev/null
-	coverage run --append --branch --source=${MODULE} \
-		-m schema_salad.main \
+	$(COVBASE) -m schema_salad.main \
 		--print-avro schema_salad/metaschema/metaschema.yml \
 		> /dev/null
-	coverage run --append --branch --source=${MODULE} \
-		-m schema_salad.main \
+	$(COVBASE) -m schema_salad.main \
 		--print-rdf schema_salad/metaschema/metaschema.yml \
 		> /dev/null
-	coverage run --append --branch --source=${MODULE} \
-		-m schema_salad.main \
+	$(COVBASE) -m schema_salad.main \
 		--print-pre schema_salad/metaschema/metaschema.yml \
 		> /dev/null
-	coverage run --append --branch --source=${MODULE} \
-		-m schema_salad.main \
+	$(COVBASE) -m schema_salad.main \
 		--print-index schema_salad/metaschema/metaschema.yml \
 		> /dev/null
-	coverage run --append --branch --source=${MODULE} \
-		-m schema_salad.main \
+	$(COVBASE) -m schema_salad.main \
 		--print-metadata schema_salad/metaschema/metaschema.yml \
 		> /dev/null
-	coverage run --append --branch --source=${MODULE} \
-		-m schema_salad.makedoc schema_salad/metaschema/metaschema.yml \
+	$(COVBASE) -m schema_salad.makedoc \
+		schema_salad/metaschema/metaschema.yml \
 		> /dev/null
 
 coverage.xml: .coverage
@@ -169,12 +165,20 @@
 	@echo 'name, E-Mail Address'
 	@git log --format='%aN,%aE' | sort -u | grep -v 'root'
 
-mypy: ${PYSOURCES}
-	rm -Rf typeshed/2.7/ruamel/yaml
+mypy2: ${PYSOURCES}
+	rm -Rf typeshed/2and3/ruamel/yaml
 	ln -s $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
-		typeshed/2.7/ruamel/
-	MYPYPATH=typeshed/2.7 mypy --py2 --disallow-untyped-calls \
-		 --fast-parser --warn-redundant-casts --warn-unused-ignores \
+		typeshed/2and3/ruamel/
+	MYPYPATH=$MYPYPATH:typeshed/2.7:typeshed/2and3 mypy --py2 --disallow-untyped-calls \
+		 --warn-redundant-casts --warn-unused-ignores \
+		 schema_salad
+
+mypy3: ${PYSOURCES}
+	rm -Rf typeshed/2and3/ruamel/yaml
+	ln -s $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
+		typeshed/2and3/ruamel/
+	MYPYPATH=$MYPYPATH:typeshed/3:typeshed/2and3 mypy --disallow-untyped-calls \
+		 --warn-redundant-casts \
 		 schema_salad
 
 jenkins:
@@ -187,6 +191,6 @@
 	. env3/bin/activate ; \
 	pip install -U setuptools pip wheel ; \
 	${MAKE} install-dep ; \
-	pip install -U mypy-lang typed-ast ; ${MAKE} mypy
+	pip install -U -r mypy_requirements.txt ; ${MAKE} mypy
 
 FORCE:

=== debian/changelog ===
python-schema-salad (2.6.20170630075932-2) unstable; urgency=medium

  * Fix broken manual pages. (Closes: #851336). Thanks to Daniel Shahaf
    for the report and mattia@debian.org for the reminder.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 08 Aug 2017 07:58:13 -0700

python-schema-salad (2.6.20170630075932-1) unstable; urgency=medium

  * New upstream version 2.6.20170630075932

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Jan 2017 23:46:56 -0800

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,12 @@
                python-yaml,
                python-rdflib-jsonld,
                python-rdflib,
+               python-ruamel.yaml,
                python-typing,
                python-cachecontrol,
-               python-lockfile (>= 0.12.2),
+               python-lockfile,
                help2man
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-schema-salad.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-schema-salad.git
 Homepage: http://www.commonwl.org

## python-schema-salad 2.6.20171201034858

=== Makefile ===
--- 
+++ 
@@ -170,7 +170,7 @@
 	ln -s $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
 		typeshed/2and3/ruamel/
 	MYPYPATH=$MYPYPATH:typeshed/2.7:typeshed/2and3 mypy --py2 --disallow-untyped-calls \
-		 --warn-redundant-casts --warn-unused-ignores \
+		 --warn-redundant-casts \
 		 schema_salad
 
 mypy3: ${PYSOURCES}
@@ -191,6 +191,7 @@
 	. env3/bin/activate ; \
 	pip install -U setuptools pip wheel ; \
 	${MAKE} install-dep ; \
-	pip install -U -r mypy_requirements.txt ; ${MAKE} mypy
+	pip install -U -r mypy_requirements.txt ; ${MAKE} mypy2
+	# pip install -U -r mypy_requirements.txt ; ${MAKE} mypy3
 
 FORCE:

=== debian/changelog ===
python-schema-salad (2.6.20171201034858-3) unstable; urgency=medium

  * Add missing python-avro dependency

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 18 Feb 2018 05:27:57 -0800

python-schema-salad (2.6.20171201034858-2) unstable; urgency=medium

  * Team upload
  * Allow python-avro >= 1.8.1 (instead of == 1.8.1)

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2017 09:18:54 +0100

python-schema-salad (2.6.20171201034858-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.1
  * Recommends: cwltool (to enable running all test scripts)
  * Use locally installed bootstrap.min.css instead of risking privacy breach

 -- Andreas Tille <tille@debian.org>  Wed, 06 Dec 2017 16:47:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper (>= 10),
                dh-python,
@@ -19,7 +20,7 @@
                python-cachecontrol,
                python-lockfile,
                help2man
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-schema-salad.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-schema-salad.git
 Homepage: http://www.commonwl.org
@@ -27,7 +28,10 @@
 Package: python-schema-salad
 Architecture: all
 Depends: ${python:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         python-avro,
+         libjs-bootstrap
+Recommends: cwltool
 Description: Schema Annotations for Linked Avro Data (SALAD)
  Salad is a schema language for describing JSON or YAML structured linked data
  documents. Salad is based originally on JSON-LD and the Apache Avro data

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=schema-salad
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. help2man --no-info \
		   --version-string=${DEB_VERSION_UPSTREAM} \
		   --no-discard-stderr \
		--name="Schema Annotations for Linked Avro Data (SALAD)" \
		python2\ -m\ schema_salad > debian/schema-salad-tool.1
	sed -i 's/python2 -m schema_salad/schema-salad-tool/g' \
		debian/schema-salad-tool.1
	sed -i 's/__main__.py/schema-salad-tool/g' debian/schema-salad-tool.1
	sed -i 's/PYTHON/SCHEMA-SALAD-TOOL/g' debian/schema-salad-tool.1
	PYTHONPATH=. help2man --no-info \
		   --version-string=${DEB_VERSION_UPSTREAM} \
		   --no-discard-stderr \
		--name="Schema Annotations for Linked Avro Data (SALAD)" \
		python2\ -m\ schema_salad.makedoc > debian/schema-salad-doc.1
	sed -i 's/python2 -m schema_salad.makedoc/schema-salad-doc/g' \
		debian/schema-salad-doc.1
	sed -i 's/__main__.py/schema-salad-doc/g' debian/schema-salad-doc.1
	sed -i 's/PYTHON/SCHEMA-SALAD-DOC/g' debian/schema-salad-doc.1
	find . -name "*.coverage" -delete

override_dh_auto_clean:
	rm -f debian/*.1

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/schema-salad/schema-salad-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-schema-salad 3.0.20181206233650

=== Makefile ===
--- 
+++ 
@@ -15,25 +15,30 @@
 #
 # Contact: common-workflow-language@googlegroups.com
 
-# make pep8 to check for basic Python code compliance
+# make pycodestyle to check for basic Python code compliance
 # make autopep8 to fix most pep8 errors
 # make pylint to check Python code for enhanced compliance including naming
 #  and documentation
 # make coverage-report to check coverage of the python scripts by the tests
 
 MODULE=schema_salad
-
-# `SHELL=bash` Will break Titus's laptop, so don't use BASH-isms like
+PACKAGE=schema-salad
+
+# `SHELL=bash` doesn't work for some, so don't use BASH-isms like
 # `[[` conditional expressions.
 PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
-DEVPKGS=pep8 diff_cover autopep8 pylint coverage pep257 pytest flake8
+DEVPKGS=pycodestyle diff_cover autopep8 pylint coverage pep257 pytest-xdist flake8
 COVBASE=coverage run --branch --append --source=${MODULE} \
 	--omit=schema_salad/tests/*
 
-VERSION=$(shell git describe --tags --dirty | sed s/v//)
+# Updating the Major & Minor version below?
+# Don't forget to update setup.py as well
+VERSION=3.0.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
+	--max-count=1 --format=format:%cI`)
 
 ## all         : default task
-all: ./setup.py develop
+all:
+	pip install -e .
 
 ## help        : print this help message and exit
 help: Makefile
@@ -54,7 +59,7 @@
 dist: dist/${MODULE}-$(VERSION).tar.gz
 
 dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
-	./setup.py sdist
+	./setup.py sdist bdist_wheel
 
 ## clean       : clean up all temporary / machine-generated files
 clean: FORCE
@@ -63,25 +68,34 @@
 	rm -Rf .coverage
 	rm -f diff-cover.html
 
-## pep8        : check Python code style
-pep8: $(PYSOURCES)
-	pep8 --exclude=_version.py  --show-source --show-pep8 $^ || true
-
-pep8_report.txt: $(PYSOURCES)
-	pep8 --exclude=_version.py $^ > $@ || true
-
-diff_pep8_report: pep8_report.txt
-	diff-quality --violations=pep8 pep8_report.txt
-
-## pep257      : check Python code style
-pep257: $(PYSOURCES)
-	pep257 --ignore=D100,D101,D102,D103 $^ || true
-
-pep257_report.txt: $(PYSOURCES)
-	pep257 setup.py $^ > $@ 2>&1 || true
-
-diff_pep257_report: pep257_report.txt
-	diff-quality --violations=pep8 pep257_report.txt
+# Linting and code style related targets
+## sorting imports using isort: https://github.com/timothycrosley/isort
+sort_imports:
+	isort ${MODULE}/*.py ${MODULE}/tests/*.py setup.py
+
+pep8: pycodestyle
+## pycodestyle        : check Python code style
+pycodestyle: $(PYSOURCES)
+	pycodestyle --exclude=_version.py  --show-source --show-pep8 $^ || true
+
+pep8_report.txt: pycodestyle_report.txt
+pycodestyle_report.txt: $(PYSOURCES)
+	pycodestyle --exclude=_version.py $^ > $@ || true
+
+diff_pep8_report: diff_pycodestyle_report
+diff_pycodestyle_report: pycodestyle_report.txt
+	diff-quality --violations=pycodestyle $^
+
+pep257: pydocstyle
+## pydocstyle      : check Python code style
+pydocstyle: $(PYSOURCES)
+	pydocstyle --ignore=D100,D101,D102,D103 $^ || true
+
+pydocstyle_report.txt: $(PYSOURCES)
+	pydocstyle setup.py $^ > $@ 2>&1 || true
+
+diff_pydocstyle_report: pydocstyle_report.txt
+	diff-quality --violations=pycodestyle $^
 
 ## autopep8    : fix most Python code indentation and formatting
 autopep8: $(PYSOURCES)
@@ -95,16 +109,16 @@
 ## pylint      : run static code analysis on Python code
 pylint: $(PYSOURCES)
 	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
-                $^ || true
+                $^ -j0|| true
 
 pylint_report.txt: ${PYSOURCES}
 	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
-		$^ > $@ || true
+		$^ -j0> $@ || true
 
 diff_pylint_report: pylint_report.txt
 	diff-quality --violations=pylint pylint_report.txt
 
-.coverage: $(PYSOURCES)
+.coverage: $(PYSOURCES) all
 	rm -f .coverage
 	$(COVBASE) setup.py test
 	$(COVBASE) -m schema_salad.main \
@@ -152,7 +166,7 @@
 
 ## test        : run the ${MODULE} test suite
 test: FORCE
-	python setup.py test
+	python setup.py test --addopts "-n auto"
 
 sloccount.sc: ${PYSOURCES} Makefile
 	sloccount --duplicates --wide --details $^ > $@
@@ -181,12 +195,12 @@
 		 --warn-redundant-casts \
 		 schema_salad
 
-jenkins:
+jenkins: FORCE
 	rm -Rf env && virtualenv env
 	. env/bin/activate ; \
 	pip install -U setuptools pip wheel ; \
 	${MAKE} install-dep coverage.html coverage.xml pep257_report.txt \
-		sloccount.sc pep8_report.txt pylint_report.txt
+		sloccount.sc pycodestyle_report.txt pylint_report.txt
 	if ! test -d env3 ; then virtualenv -p python3 env3 ; fi
 	. env3/bin/activate ; \
 	pip install -U setuptools pip wheel ; \
@@ -194,4 +208,22 @@
 	pip install -U -r mypy_requirements.txt ; ${MAKE} mypy2
 	# pip install -U -r mypy_requirements.txt ; ${MAKE} mypy3
 
+release-test: FORCE
+	git diff-index --quiet HEAD -- || ( echo You have uncommited changes, please commit them and try again; false )
+	PYVER=2.7 ./release-test.sh
+	PYVER=3 ./release-test.sh
+
+release: release-test
+	. testenv2.7_2/bin/activate && \
+		testenv2.7_2/src/${PACKAGE}/setup.py sdist bdist_wheel
+	. testenv2.7_2/bin/activate && \
+		pip install twine && \
+		twine upload testenv2.7_2/src/${PACKAGE}/dist/* && \
+		git tag ${VERSION} && git push --tags
+
 FORCE:
+
+# Use this to print the value of a Makefile variable
+# Example `make print-VERSION`
+# From https://www.cmcrossroads.com/article/printing-value-makefile-variable
+print-%  : ; @echo $* = $($*)

=== debian/changelog ===
python-schema-salad (3.0.20181206233650-2) unstable; urgency=medium

  * Fix the already shipped tests and enable them as autopkgtests.
  * Run the same tests at compile time.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 04 Jan 2019 06:45:22 -0800

python-schema-salad (3.0.20181206233650-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 03 Jan 2019 00:44:53 -0800

python-schema-salad (3.0.20181129082112-1) unstable; urgency=medium

  * New upstream release
  * Now a pure Python3 library

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 20 Dec 2018 05:37:41 -0800

=== debian/control ===
Source: python-schema-salad
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3,
               python3-all,
               python3-setuptools,
               python3-mistune,
               python3-requests,
               python3-yaml,
               python3-rdflib-jsonld,
               python3-rdflib,
               python3-ruamel.yaml,
               python3-cachecontrol,
               python3-lockfile,
               python3-typing-extensions,
	       python3-pytest-xdist,
	       python3-pytest-runner,
               help2man
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/python-schema-salad
Vcs-Git: https://salsa.debian.org/med-team/python-schema-salad.git
Homepage: http://www.commonwl.org

Package: python3-schema-salad
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         libjs-bootstrap
Recommends: cwltool
Breaks: cwltool (<< 1.0.20181128175059)
Conflicts: python-schema-salad
Description: Schema Annotations for Linked Avro Data (SALAD)
 Salad is a schema language for describing JSON or YAML structured linked data
 documents. Salad is based originally on JSON-LD and the Apache Avro data
 serialization system.
 .
 Salad schema describes rules for preprocessing, structural validation, and
 link checking for documents described by a Salad schema. Salad features for
 rich data modeling such as inheritance, template specialization, object
 identifiers, object references, documentation generation, and transformation
 to RDF. Salad provides a bridge between document and record oriented data
 modeling and the Semantic Web.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=schema-salad
#export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. help2man --no-info \
		   --version-string=${DEB_VERSION_UPSTREAM} \
		   --no-discard-stderr \
		--name="Schema Annotations for Linked Avro Data (SALAD)" \
		python3\ -m\ schema_salad > debian/schema-salad-tool.1
	sed -i 's/python3 -m schema_salad/schema-salad-tool/g' \
		debian/schema-salad-tool.1
	sed -i 's/__main__.py/schema-salad-tool/g' debian/schema-salad-tool.1
	sed -i 's/PYTHON/SCHEMA-SALAD-TOOL/g' debian/schema-salad-tool.1
	PYTHONPATH=. help2man --no-info \
		   --version-string=${DEB_VERSION_UPSTREAM} \
		   --no-discard-stderr \
		--name="Schema Annotations for Linked Avro Data (SALAD)" \
		python3\ -m\ schema_salad.makedoc > debian/schema-salad-doc.1
	sed -i 's/python3 -m schema_salad.makedoc/schema-salad-doc/g' \
		debian/schema-salad-doc.1
	sed -i 's/__main__.py/schema-salad-doc/g' debian/schema-salad-doc.1
	sed -i 's/PYTHON/SCHEMA-SALAD-DOC/g' debian/schema-salad-doc.1
	find . -name "*.coverage" -delete

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_install
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
	cd {build_dir}; export PYTHONPATH=$$(pwd); python3 -m pytest \
		-n auto --dist=loadfile --pyarg schema_salad" dh_auto_test
endif

override_dh_auto_install:
	dh_auto_install
	find debian -name LICENSE -delete
	find debian -name '*.cwl' -exec chmod a+x {} \;

override_dh_auto_clean:
	rm -f debian/*.1

## python-schema-salad 4.5.20190815125611

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,7 @@
 #
 # Contact: common-workflow-language@googlegroups.com
 
-# make pycodestyle to check for basic Python code compliance
-# make autopep8 to fix most pep8 errors
+# make format to fix most python formatting errors
 # make pylint to check Python code for enhanced compliance including naming
 #  and documentation
 # make coverage-report to check coverage of the python scripts by the tests
@@ -27,13 +26,14 @@
 # `SHELL=bash` doesn't work for some, so don't use BASH-isms like
 # `[[` conditional expressions.
 PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
-DEVPKGS=pycodestyle diff_cover autopep8 pylint coverage pep257 pytest-xdist flake8
+DEVPKGS=diff_cover black pylint coverage pep257 pytest-xdist \
+	flake8 flake8-bugbear
 COVBASE=coverage run --branch --append --source=${MODULE} \
 	--omit=schema_salad/tests/*
 
 # Updating the Major & Minor version below?
 # Don't forget to update setup.py as well
-VERSION=3.0.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
+VERSION=4.5.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
 	--max-count=1 --format=format:%cI`)
 
 ## all         : default task
@@ -73,38 +73,20 @@
 sort_imports:
 	isort ${MODULE}/*.py ${MODULE}/tests/*.py setup.py
 
-pep8: pycodestyle
-## pycodestyle        : check Python code style
-pycodestyle: $(PYSOURCES)
-	pycodestyle --exclude=_version.py  --show-source --show-pep8 $^ || true
-
-pep8_report.txt: pycodestyle_report.txt
-pycodestyle_report.txt: $(PYSOURCES)
-	pycodestyle --exclude=_version.py $^ > $@ || true
-
-diff_pep8_report: diff_pycodestyle_report
-diff_pycodestyle_report: pycodestyle_report.txt
-	diff-quality --violations=pycodestyle $^
-
 pep257: pydocstyle
 ## pydocstyle      : check Python code style
 pydocstyle: $(PYSOURCES)
-	pydocstyle --ignore=D100,D101,D102,D103 $^ || true
+	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true
 
 pydocstyle_report.txt: $(PYSOURCES)
 	pydocstyle setup.py $^ > $@ 2>&1 || true
 
 diff_pydocstyle_report: pydocstyle_report.txt
-	diff-quality --violations=pycodestyle $^
-
-## autopep8    : fix most Python code indentation and formatting
-autopep8: $(PYSOURCES)
-	autopep8 --recursive --in-place --ignore E309 $^
-
-# A command to automatically run astyle and autopep8 on appropriate files
-## format      : check/fix all code indentation and formatting (runs autopep8)
-format: autopep8
-	# Do nothing
+	diff-quality --violations=pycodestyle --fail-under=100 $^
+
+## format      : check/fix all code indentation and formatting (runs black)
+format:
+	black --target-version py27 schema_salad
 
 ## pylint      : run static code analysis on Python code
 pylint: $(PYSOURCES)
@@ -180,18 +162,24 @@
 	@git log --format='%aN,%aE' | sort -u | grep -v 'root'
 
 mypy2: ${PYSOURCES}
-	rm -Rf typeshed/2and3/ruamel/yaml
-	ln -s $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
-		typeshed/2and3/ruamel/
-	MYPYPATH=$MYPYPATH:typeshed/2.7:typeshed/2and3 mypy --py2 --disallow-untyped-calls \
+	if ! test -f $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
+	then \
+		rm -Rf typeshed/2and3/ruamel/yaml ; \
+		ln -s $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
+			typeshed/2and3/ruamel/ ; \
+	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
+	MYPYPATH=$$MYPYPATH:typeshed/2.7:typeshed/2and3 mypy --py2 --disallow-untyped-calls \
 		 --warn-redundant-casts \
 		 schema_salad
 
 mypy3: ${PYSOURCES}
-	rm -Rf typeshed/2and3/ruamel/yaml
-	ln -s $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
-		typeshed/2and3/ruamel/
-	MYPYPATH=$MYPYPATH:typeshed/3:typeshed/2and3 mypy --disallow-untyped-calls \
+	if ! test -f $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
+	then \
+		rm -Rf typeshed/2and3/ruamel/yaml ; \
+		ln -s $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
+			typeshed/2and3/ruamel/ ; \
+	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
+	MYPYPATH=$$MYPYPATH:typeshed/3:typeshed/2and3 mypy --disallow-untyped-calls \
 		 --warn-redundant-casts \
 		 schema_salad
 
@@ -199,8 +187,8 @@
 	rm -Rf env && virtualenv env
 	. env/bin/activate ; \
 	pip install -U setuptools pip wheel ; \
-	${MAKE} install-dep coverage.html coverage.xml pep257_report.txt \
-		sloccount.sc pycodestyle_report.txt pylint_report.txt
+	${MAKE} install-dep coverage.html coverage.xml pydocstyle_report.txt \
+		sloccount.sc pylint_report.txt
 	if ! test -d env3 ; then virtualenv -p python3 env3 ; fi
 	. env3/bin/activate ; \
 	pip install -U setuptools pip wheel ; \

=== requirements.txt ===
typing==3.7.4 ; python_version < "3.5"
ruamel.yaml>=0.12.4, <= 0.16
rdflib==4.2.2
rdflib-jsonld==0.4.0
mistune>=0.8.1,<0.9
CacheControl==0.11.7
lockfile==0.12.2
typing-extensions
future

=== debian/changelog ===
python-schema-salad (4.5.20190815125611-3) unstable; urgency=medium

  * debian/patches/lower-case.patch: improvement from Steve Langasek
    <steve.langasek@canonical.com>, thanks! (Closes: #935680)
  * debian/rules: use interpreter shortcut in pytest invocation

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 26 Aug 2019 07:07:03 +0200

python-schema-salad (4.5.20190815125611-2) unstable; urgency=medium

  * debian/patches/lower-case.patch: better fix

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 16 Aug 2019 12:43:50 +0200

python-schema-salad (4.5.20190815125611-1) unstable; urgency=medium

  * New upstream version
  * debian/patches/lower-case.patch: Fix build error due to mixed case paths

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 16 Aug 2019 11:56:37 +0200

python-schema-salad (4.5.20190729164411-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 13 Aug 2019 18:53:05 +0200

python-schema-salad (4.5.20190621200723-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 13 Aug 2019 13:08:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
                python3-all,
+               python3-future,
                python3-setuptools,
                python3-mistune,
                python3-requests,
@@ -17,10 +18,10 @@
                python3-cachecontrol,
                python3-lockfile,
                python3-typing-extensions,
-	       python3-pytest-xdist,
-	       python3-pytest-runner,
+               python3-pytest-xdist,
+               python3-pytest-runner,
                help2man
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-schema-salad
 Vcs-Git: https://salsa.debian.org/med-team/python-schema-salad.git
 Homepage: http://www.commonwl.org
@@ -31,7 +32,7 @@
          ${misc:Depends},
          libjs-bootstrap
 Recommends: cwltool
-Breaks: cwltool (<< 1.0.20181128175059)
+Breaks: cwltool (<< 1.0.20190621)
 Conflicts: python-schema-salad
 Description: Schema Annotations for Linked Avro Data (SALAD)
  Salad is a schema language for describing JSON or YAML structured linked data

## python-schema-salad 5.0.20200126033820

=== debian/changelog ===
python-schema-salad (5.0.20200126033820-2) unstable; urgency=medium

  * Allow for newer versions of CacheControl.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Feb 2020 13:19:16 +0100

python-schema-salad (5.0.20200126033820-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 28 Jan 2020 14:05:51 +0100

python-schema-salad (5.0.20200122085940-2) unstable; urgency=medium

  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * debian/patches/better_is_fs_case_sensitive: allow test to work post-
    installation.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 28 Jan 2020 10:06:03 +0100

python-schema-salad (5.0.20200122085940-1) unstable; urgency=medium

  * New upstream version
  * Use secure URI in Homepage field.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 24 Jan 2020 16:52:41 +0100

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,10 @@
                python3-pytest-xdist,
                python3-pytest-runner,
                help2man
-Standards-Version: 4.4.0
+Standards-Version: 4.4.5
 Vcs-Browser: https://salsa.debian.org/med-team/python-schema-salad
 Vcs-Git: https://salsa.debian.org/med-team/python-schema-salad.git
-Homepage: http://www.commonwl.org
+Homepage: https://www.commonwl.org
 
 Package: python3-schema-salad
 Architecture: all
@@ -32,7 +32,6 @@
          ${misc:Depends},
          libjs-bootstrap
 Recommends: cwltool
-Breaks: cwltool (<< 1.0.20190621)
 Conflicts: python-schema-salad
 Description: Schema Annotations for Linked Avro Data (SALAD)
  Salad is a schema language for describing JSON or YAML structured linked data

## python-schema-salad 5.0.20200220195218

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 # Updating the Major & Minor version below?
 # Don't forget to update setup.py as well
-VERSION=4.5.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
+VERSION=5.0.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
 	--max-count=1 --format=format:%cI`)
 
 ## all         : default task
@@ -86,7 +86,7 @@
 
 ## format      : check/fix all code indentation and formatting (runs black)
 format:
-	black --target-version py27 schema_salad
+	black --exclude metaschema.py schema_salad
 
 ## pylint      : run static code analysis on Python code
 pylint: $(PYSOURCES)
@@ -161,22 +161,12 @@
 	@echo 'name, E-Mail Address'
 	@git log --format='%aN,%aE' | sort -u | grep -v 'root'
 
-mypy2: ${PYSOURCES}
-	if ! test -f $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
+mypy3: mypy
+mypy: ${PYSOURCES}
+	if ! test -f $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
 	then \
 		rm -Rf typeshed/2and3/ruamel/yaml ; \
-		ln -s $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
-			typeshed/2and3/ruamel/ ; \
-	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
-	MYPYPATH=$$MYPYPATH:typeshed/2.7:typeshed/2and3 mypy --py2 --disallow-untyped-calls \
-		 --warn-redundant-casts \
-		 schema_salad
-
-mypy3: ${PYSOURCES}
-	if ! test -f $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
-	then \
-		rm -Rf typeshed/2and3/ruamel/yaml ; \
-		ln -s $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
+		ln -s $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
 			typeshed/2and3/ruamel/ ; \
 	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
 	MYPYPATH=$$MYPYPATH:typeshed/3:typeshed/2and3 mypy --disallow-untyped-calls \
@@ -193,20 +183,18 @@
 	. env3/bin/activate ; \
 	pip install -U setuptools pip wheel ; \
 	${MAKE} install-dep ; \
-	pip install -U -r mypy_requirements.txt ; ${MAKE} mypy2
-	# pip install -U -r mypy_requirements.txt ; ${MAKE} mypy3
+	pip install -U -r mypy_requirements.txt ; ${MAKE} mypy
 
 release-test: FORCE
 	git diff-index --quiet HEAD -- || ( echo You have uncommited changes, please commit them and try again; false )
-	PYVER=2.7 ./release-test.sh
 	PYVER=3 ./release-test.sh
 
 release: release-test
-	. testenv2.7_2/bin/activate && \
-		testenv2.7_2/src/${PACKAGE}/setup.py sdist bdist_wheel
-	. testenv2.7_2/bin/activate && \
+	. testenv3_2/bin/activate && \
+		testenv3_2/src/${PACKAGE}/setup.py sdist bdist_wheel
+	. testenv3_2/bin/activate && \
 		pip install twine && \
-		twine upload testenv2.7_2/src/${PACKAGE}/dist/* && \
+		twine upload testenv3_2/src/${PACKAGE}/dist/* && \
 		git tag ${VERSION} && git push --tags
 
 FORCE:

=== requirements.txt ===
typing==3.7.4 ; python_version < "3.5"
ruamel.yaml>=0.12.4, <= 0.16.5
rdflib==4.2.2
rdflib-jsonld==0.4.0
mistune>=0.8.1,<0.9
CacheControl==0.11.7
lockfile==0.12.2
typing-extensions

=== debian/changelog ===
python-schema-salad (5.0.20200220195218-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 27 Feb 2020 19:57:12 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-pytest-xdist,
                python3-pytest-runner,
                help2man
-Standards-Version: 4.4.5
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-schema-salad
 Vcs-Git: https://salsa.debian.org/med-team/python-schema-salad.git
 Homepage: https://www.commonwl.org

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	dh_auto_install
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
-	cd {build_dir}; export PYTHONPATH=$$(pwd); python3 -m pytest \
+	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
 		-n auto --dist=loadfile --pyarg schema_salad" dh_auto_test
 endif

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist
Restrictions: allow-stderr

## python-schema-salad 7.0.20200811075006

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 # Updating the Major & Minor version below?
 # Don't forget to update setup.py as well
-VERSION=5.0.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
+VERSION=7.0.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
 	--max-count=1 --format=format:%cI`)
 
 ## all         : default task
@@ -82,11 +82,11 @@
 	pydocstyle setup.py $^ > $@ 2>&1 || true
 
 diff_pydocstyle_report: pydocstyle_report.txt
-	diff-quality --violations=pycodestyle --fail-under=100 $^
+	diff-quality --compare-branch=main --violations=pycodestyle --fail-under=100 $^
 
 ## format      : check/fix all code indentation and formatting (runs black)
 format:
-	black --exclude metaschema.py schema_salad
+	black --exclude metaschema.py schema_salad setup.py
 
 ## pylint      : run static code analysis on Python code
 pylint: $(PYSOURCES)
@@ -173,6 +173,9 @@
 		 --warn-redundant-casts \
 		 schema_salad
 
+mypyc: ${PYSOURCES}
+	MYPYPATH=typeshed/2and3/:typeshed/3 SCHEMA_SALAD_USE_MYPYC=1 python setup.py test
+
 jenkins: FORCE
 	rm -Rf env && virtualenv env
 	. env/bin/activate ; \

=== debian/changelog ===
python-schema-salad (7.0.20200811075006-1) unstable; urgency=medium

  * Move source package to DPMT.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Refreshed the patches.
  * Allow for a newer ruamel.yaml package

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 27 Aug 2020 11:22:09 +0200

python-schema-salad (5.0.20200416112825-1) unstable; urgency=medium

  * New upstream version. (Closes: #959597)
  * Refreshed the patches.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 11 May 2020 14:33:27 +0200

python-schema-salad (5.0.20200302192450-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 10 Apr 2020 17:10:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-schema-salad
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-all,
@@ -22,9 +22,10 @@
                python3-pytest-runner,
                help2man
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/med-team/python-schema-salad
-Vcs-Git: https://salsa.debian.org/med-team/python-schema-salad.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-schema-salad
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-schema-salad.git
 Homepage: https://www.commonwl.org
+Rules-Requires-Root: no
 
 Package: python3-schema-salad
 Architecture: all
